/**Begin D:\k3Cloud\PDM_UPGRADE\PDM1\POM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_POM_DISTPLANSUGGEST') 
 CREATE TABLE T_POM_DISTPLANSUGGEST (
FTRANSACTIONTYPEID BIGINT DEFAULT 0 NOT NULL,
FSINGLEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FTARGETBILLTYPE BIGINT DEFAULT 0 NOT NULL,
FPRODMATERIAL BIGINT DEFAULT 0 NOT NULL,
FBACKFLUSH VARCHAR(30) DEFAULT ' ' NOT NULL,
FPROJECT BIGINT DEFAULT 0 NOT NULL,
FCLOSETIME DATETIME,
FSOURCEBILLENRTYID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FAUDITDATE DATETIME,
FRECEIVEDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREQQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMFTORDERQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSCHEDULESORTID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSOURCEBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFOODCONVEYER BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FREQTIME DATETIME,
FWORKCENTER BIGINT DEFAULT 0 NOT NULL,
FSENDEDOUTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWORKSTATION BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLTYPE BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLENTRYNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWAREHOUSE BIGINT DEFAULT 0 NOT NULL,
FCALLOUTORG BIGINT DEFAULT 0 NOT NULL,
FUNIT BIGINT DEFAULT 0 NOT NULL,
FDISTRTYPE BIGINT DEFAULT 0 NOT NULL,
FOWNORG BIGINT DEFAULT 0 NOT NULL,
FCALLOUTWAREHOUSE BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSUPPLYORG BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCANSENDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWORKPROC BIGINT DEFAULT 0 NOT NULL,
FONORDERBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSENDEDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREQORG BIGINT DEFAULT 0 NOT NULL,
FMFTNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMTFDELIVERYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FGOURPID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FADJUSTATY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSOURCEBILLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCALLOUTSTOCKLOCAT BIGINT DEFAULT 0 NOT NULL,
FPRODUNIT BIGINT DEFAULT 0 NOT NULL,
FMATERIAL BIGINT DEFAULT 0 NOT NULL,
FSTOCKLOCAT BIGINT DEFAULT 0 NOT NULL,
FLOGID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FUNSENDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCLOSETYPE VARCHAR(30) DEFAULT ' ' NOT NULL
);



/**End D:\k3Cloud\PDM_UPGRADE\PDM1\POM_table.sql **/
